summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-libs/libtubo/libtubo-5.0.15.ebuild')
-rw-r--r--dev-libs/libtubo/libtubo-5.0.15.ebuild14
1 files changed, 5 insertions, 9 deletions
diff --git a/dev-libs/libtubo/libtubo-5.0.15.ebuild b/dev-libs/libtubo/libtubo-5.0.15.ebuild
index 1cc59cccfba..c6feb05d374 100644
--- a/dev-libs/libtubo/libtubo-5.0.15.ebuild
+++ b/dev-libs/libtubo/libtubo-5.0.15.ebuild
@@ -1,8 +1,7 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
-inherit eutils ltprune
+EAPI=7
MY_P=${PN}0-${PV}
@@ -13,19 +12,16 @@ SRC_URI="mirror://sourceforge/xffm/${PN}/${MY_P}.tar.bz2"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 x86"
-IUSE=""
-RDEPEND=""
-DEPEND="${RDEPEND}
- virtual/pkgconfig"
+BDEPEND="virtual/pkgconfig"
S="${WORKDIR}"/${MY_P}
-pkg_setup() {
- DOCS=( AUTHORS ChangeLog NEWS README TODO )
+src_configure() {
+ econf --disable-static
}
src_install() {
default
- prune_libtool_files
+ find "${ED}" -name '*.la' -delete || die
}